Package ch.qos.logback.core.util

# Class ExecutorServiceUtil

java.lang.Object
ch.qos.logback.core.util.ExecutorServiceUtil

public class ExecutorServiceUtil extends Object
Static utility methods for manipulating an `ExecutorService`.

Author:
  Carl Harris, Mikhail Mazursky

## Constructor Summary

Constructors
Constructor
Description
`ExecutorServiceUtil()`

## Method Summary

Modifier and Type
Method
Description
`static ExecutorService`
`newExecutorService()`
Creates an executor service suitable for use by logback components.
`static ScheduledExecutorService`
`newScheduledExecutorService()`
`static void`
`shutdown(ExecutorService executorService)`
Shuts down an executor service.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExecutorServiceUtil

public ExecutorServiceUtil()

## Method Details

### newScheduledExecutorService

public static ScheduledExecutorService newScheduledExecutorService()

### newExecutorService

public static ExecutorService newExecutorService()
Creates an executor service suitable for use by logback components.

Returns:
  executor service

### shutdown

public static void shutdown(ExecutorService executorService)
Shuts down an executor service.

Parameters:
  `executorService` - the executor service to shut down